package org.objectweb.telosys.tunit;

import org.objectweb.telosys.rpl.ScreenRequest;
import org.objectweb.telosys.rpl.ScreenResponse;
import org.objectweb.telosys.screen.core.ScreenContext;
import org.objectweb.telosys.screen.env.ScreenSession;

public class ActionObjects 
{

	ScreenRequest  screenRequest  = null ;
	
	ScreenResponse screenResponse = null ;
	
	ScreenSession  screenSession  = null ;
	
	ScreenContext  screenContext  = null ;

	public ActionObjects(ScreenRequest screenRequest,
			ScreenResponse screenResponse, ScreenSession screenSession,
			ScreenContext screenContext) {
		super();
		this.screenRequest = screenRequest;
		this.screenResponse = screenResponse;
		this.screenSession = screenSession;
		this.screenContext = screenContext;
	}

	public ScreenRequest getScreenRequest() {
		return screenRequest;
	}

	public ScreenResponse getScreenResponse() {
		return screenResponse;
	}

	public ScreenSession getScreenSession() {
		return screenSession;
	}

	public ScreenContext getScreenContext() {
		return screenContext;
	}
	
	
}
