package org.objectweb.telosys.tunit;

import javax.servlet.http.HttpSession;

import org.objectweb.telosys.common.TelosysClassLogger;

public class FakeHttpSessionManager 
{
    private static final TelosysClassLogger log = new TelosysClassLogger(FakeHttpSessionManager.class);

	private FakeHttpSession httpSession = null ;
	
	public HttpSession getSession() 
	{
		log.trace("getSession()");
		return getSession(true) ;
	}

	public HttpSession getSession(boolean flag) 
	{
		log.trace("getSession("+flag+")");
		if ( httpSession != null )
		{
			return httpSession ;
		}
		else
		{
			if ( flag )
			{
				httpSession = new FakeHttpSession();
				return httpSession ;
			}
			else
			{
				return null ;
			}
		}
	}

	
}
